Subject: Re: [Sip] SIP Call Hold reply

From: Paul Kyzivat <[email-masked]>
Date: Thu, 04 May 2006 18:46:05 -0400

The behavior you describe is non-conforming to 3264. So the UA is 
probably only compliant to 2543, or something interim between 2543 and 3261.

The best recovery action in this case is to fall back to the 2543 hold 
mechanism - send an offer with c=0.0.0.0.

	Paul

Yonatan Doron wrote:
> According to my understanding, a UA which receives a request for 
> call-hold ( an INVITE with SDP containing the media field 
> "sendonly"), may accept the hold by sending a 200OK reply containing the 
> SDP media field "recvonly".
> The problem is that the SIP clients I have tried, all answer a hold 
> request with a "sendrecv" field, which actually means that they *reject* 
> the request for hold (they do not agree to only receive the stream).
>  
> If this is true, how can my client support this backward behaviour ?
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Yonatan Doron" <[email-masked]>
Date: Sun, 7 May 2006 12:05:38 +0200

Thanks for your reply.
But still, whether I use the old or new method to request a hold: how can I,
as the hold requester, determine from the reply whether the recipient has
agreed or not to the hold request?
RFC 2543 doesn't mention how the recipient should reply to a hold request.

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Friday, May 05, 2006 12:46 AM
To: Yonatan Doron
Cc: [email-masked]
Subject: Re: [Sip] SIP Call Hold reply

The behavior you describe is non-conforming to 3264. So the UA is probably
only compliant to 2543, or something interim between 2543 and 3261.

	Paul

Yonatan Doron wrote:
> call-hold ( an INVITE with SDP containing the media field "sendonly"), 
> may accept the hold by sending a 200OK reply containing the SDP media 
> field "recvonly".
> request with a "sendrecv" field, which actually means that they 
> *reject* the request for hold (they do not agree to only receive the
stream).
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip